{% load alarme_utils l10n %}

{% for day, missions in days.items %}
    {% if forloop.first %}
    <div class="container app-totaux mt-2 mb-2">
        <div class="row">
            <div class="col-6 pe-0 text-end">Nombre d’interventions:</div>
            <div class="col-6">{{ sums.total_missions|default_if_none:'0' }}</div>
        </div>
        <div class="row">
            <div class="col-6 pe-0 text-end">Total km:</div>
            <div class="col-6">{{ sums.total_km|default_if_none:'0' }}</div>
        </div>
        <div class="row">
            <div class="col-6 pe-0 text-end">Total frais:</div>
            <div class="col-6">CHF {{ sums.total_frais|default_if_none:'0'|unlocalize }}</div>
        </div>
        <div class="row">
            <div class="col-6 pe-0 text-end">Total durées (avec client):</div>
            <div class="col-6">{{ sums.total_duree_client|default_if_none:'0'|strip_seconds }}</div>
        </div>
        <div class="row">
            <div class="col-6 pe-0 text-end">Total durées (sans client):</div>
            <div class="col-6">{{ sums.total_duree_seul|default_if_none:'0'|strip_seconds }}</div>
        </div>
    </div>
    <div class="accordion">
    {% endif %}
    <div class="accordion-item">
        <h2 class="accordion-header">
            <button class="accordion-button ps-4 collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#d{{ day|date:'md' }}">
            {{ day }}
            </button>
        </h2>
        <div id="d{{ day|date:'md' }}" class="accordion-collapse collapse mt-2">
            {% for mission in missions %}
                {% include 'benevoles/mission-card.html' with link_client=False mode='archives' %}
            {% endfor %}
        </div>
    </div>
    {% if forloop.last %}</div>{% endif %}
{% endfor %}
